Skip to main content
POST
/
v1
/
fuel_price_indices
/
{fuel-price-index-id}
/
fuel_prices
Create a FuelPrice for a FuelPriceIndex
curl --request POST \
  --url https://api.tread-horizon.com/v1/fuel_price_indices/{fuel-price-index-id}/fuel_prices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "date": "2023-12-25",
  "price": 123
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "date": "2023-12-25",
    "price": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

fuel-price-index-id
string<uuid>
required

FuelPriceIndex ID

Body

application/json
date
string<date>
required
price
number
required

Response

Created

data
FuelPrice-Read · object
required